Skip to main content

Batch Retrieve

Retrieve multiple artifacts in a single request by presenting your keys.

Endpoint

POST /dock/retrieve/batch

Request

curl -X POST https://api.docyard.io/v1/dock/retrieve/batch \
  -H "X-API-Key: dk_live_coll_aaaaaaaa" \
  -H "X-API-Secret: dk_secret_coll_bbbbbbbb" \
  -H "Content-Type: application/json" \
  -d '{
    "artifact_ids": ["art-001", "art-002", "art-003"],
    "keys": {
      "policy_number": "POL-12345678"
    }
  }'

Response

{
  "results": [
    {
      "artifact_id": "art-001",
      "status": "granted",
      "score": 20,
      "threshold": 20,
      "content": "<pdf-data>",
      "content_type": "application/pdf"
    },
    {
      "artifact_id": "art-002",
      "status": "granted",
      "score": 20,
      "threshold": 20,
      "content": "<pdf-data>",
      "content_type": "application/pdf"
    },
    {
      "artifact_id": "art-003",
      "status": "denied",
      "score": 0,
      "threshold": 20,
      "message": "No matching keys provided"
    }
  ]
}